﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class OffsetScroller : MonoBehaviour {

    public float scrollSpeed;
    public Renderer rend;
    private Vector2 savedOffset;

	// Use this for initialization
	void Start () {
        rend = GetComponent<Renderer>();
        savedOffset = rend.material.GetTextureOffset("_MainTex");
    }
	
	// Update is called once per frame
	void Update () {
        float y = Mathf.Repeat(Time.time * scrollSpeed, 1);
        Vector2 offset = new Vector2(savedOffset.x, y);
        // renderer.sharedMaterial.SetTextureOffset ("_MainTex", offset);
        rend.material.SetTextureOffset("_MainTex", offset);
    }

    private void OnDisable()
    {
        rend.material.SetTextureOffset("_MainTex", savedOffset);
    }
}
