﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StripScroller : MonoBehaviour {
    public float scrollSpeed;
    public float tileSizeZ;
    public Renderer rend;
    private Vector2 savedOffset;
    private Vector3 startPosition;

    void Start()
    {
        startPosition = transform.position;
        rend = GetComponent<Renderer>();
        savedOffset = rend.material.GetTextureOffset("_MainTex");
     }

    void Update()
    {
        float x = Mathf.Repeat(Time.time * scrollSpeed, tileSizeZ * 4);
        x = x / tileSizeZ;
        x = Mathf.Floor(x);
        x = x / 4;
        Vector2 offset = new Vector2(x, savedOffset.y);
        // renderer.sharedMaterial.SetTextureOffset ("_MainTex", offset);
        rend.material.SetTextureOffset("_MainTex", offset);
        float newPosition = Mathf.Repeat(Time.time * scrollSpeed, tileSizeZ);
        transform.position = startPosition + Vector3.back * newPosition;
    }

    private void OnDisable()
    {
        rend.material.SetTextureOffset("_MainTex", savedOffset);
    }
}
